### Function

# Dex aio_read

#### Declaration [src]

    DexFuture*
    dex_aio_read (
      DexAioContext* aio_context,
      int fd,
      gpointer buffer,
      gsize count,
      goffset offset
    )

#### Description [src]

An asynchronous `pread()` wrapper.

Generally you want to provide `NULL` for the `aio_context` as that will get the default aio context for your scheduler.

#### Parameters

`aio_context`

  Type: `DexAioContext`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`fd`

  Type: `int`

  No description available.

`buffer`

  Type: An array of `guint8`

  No description available.

  The argument will be set by the function.
  The length of the array is specified in the `count` argument.

`count`

  Type: `gsize`

  The number of bytes to read.

  The argument will be set by the function.

`offset`

  Type: `goffset`

  The positioned offset within `fd` to read from.

#### Return value

Type: `DexFuture`

A future that will resolve when the read completes or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.